/*
 * Copyright © 2008 Étienne Bersac <bersace03@gmail.com>
 * 
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of version 2 of the GNU General Public License as
 *   published by the Free Software Foundation.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02110 USA
 *
 */

#ifndef _ADDON_H
#define _ADDON_H

#include <syslog.h>

#define HAL_SCANNER_IFACE "org.freedesktop.Hal.Device.Scanner"

#define	debug(arg...)	syslog(LOG_DEBUG, G_STRINGIFY(__LINE__) ": " arg)
#define	warn(arg...)	syslog(LOG_WARNING, G_STRINGIFY(__LINE__) ": " arg)
#define error(arg...)	({syslog(LOG_ERR, G_STRINGIFY(__LINE__) ": " arg); exit(-1);})

#endif
